Subject:

List Module in Backend is very slow due to Extbase's Typoscript parsing

Description

While profiling the Backend with XHProf | found that each click on the list module triggers a complete TypoScript parsing.
This is done in sysext\extbase\Classes\Configuration\BackendConfigurationManager.php->getTypoScriptSetup()

this method actually has an internal cache for typoscript but this cache only hits when getTypoScriptSetup() is called 2 or more times

during the same request. If | hit the list module with the same pagelD again a new request is triggered and the complete TypoScript is

parsed again.

Making this cache persistent (e.g. by putting it in the Caching Framework) would be a great speed improvement for the Backend.

Related issues:

duplicates Core - Task # 54701: Cache global TypoScript template in backend New 2014-01-02

History

#1 - 2014-01-15 15:13 - Markus Klein

I'm not sure, but | guess there's a ticket somewhere for this.

#2 - 2014-01-15 17:18 - Rupert Germann
- File callgraph_recordlist.png added

| attached a callgraph which shows one request on the list module.

As you can see most time is wated in the core classloader and the extbase classloader.

#3 - 2014-01-16 16:36 - Rupert Germann
- Status changed from New to Closed

Files

callgraph_recordlist.png

2015-08-04

5.4 MB 2014-01-15 Rupert Germann

1/1




